
Figure - Bug #114865
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113425 (New): V4.0专项--BSP专项--压测

【BSP】【EVT2】【Boot】【偶现】【压测】设备烧机启动后，屏幕背景光亮起，但是没有任何画面，adb端
口也未识别
2022-12-27 15:49 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-12-27

Priority: High Due date: 2023-01-20

Assignee: 移动测试一组_CDTS 刘强 % Done: 90%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202212240332

Resolution: WONTFIX Degrated: --

Severity: Major Verified Version: https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/176010��麻烦使用1月13日后的DB版本进行跟踪此问题。

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 根据最新的现场与tlog分析，应该是adb reboot edl后，设备出现问题，此偶现问题调查比较费时，且在工厂或用户端没有使用场景，申请不解决(工厂使用夹具，强制进入9008模式)。���� 1.问题复现后，串口日志还停留在上一次开机完成状态，且串口无法进行输入----证明此时没有进入bootloader��2.重新启动，查看nv，为第65次开机，查看tlog，仅有65次开机的日志---------证明问题发生时设备没有进入kernel

Description

【前提条件】

None

【测试步骤】

1.使用Qfile烧机后等待设备自动开机

2.查看设备运行情况

【预期结果】

设备正常启动，出现开机动画等等

【实际结果】

屏幕背景光亮起，但是没有任何画面，adb端口也未识别

History

#1 - 2022-12-27 15:54 - 移动测试一组_CDTS 刘强

- File 20221227-155340.jpg added

#2 - 2022-12-27 16:22 - CD SYSTEM-胡兵

- Status changed from New to ASSIGNED

- Assignee changed from CD SYSTEM-胡兵 to CD BSP-杜磊

Hi 杜磊

与测试同学确认，最后一次抓取tlog的开机是第17次开机(adb shell tsnv_test -r -s 4 -n 19)，发生问题是在第16次开机(开机次数记录在nv，刷机并没有清除标

志位)，tlog需要查看016前缀的日志，请参考附件：

压缩包：FSEM_016_0001_1671815919754.tar.gz/FSEM_017_0002_1671815920428.tar.gz

日志路径：tlog_package/data/tlog/persist/016**index**.log (index=22~38)

从日志分析，android是正常启动，并显示tcsetupwizard，也符合刷机后第一次开机进开机向导的情况

01-01 08:00:37.737   677   677 I boot_progress_start: 30884

01-01 08:00:38.488   677   677 I boot_progress_preload_start: 31635

01-01 08:00:40.811   677   677 I boot_progress_preload_end: 33958
01-01 08:00:41.368  1127  1127 I boot_progress_system_run: 34515

01-01 08:00:43.067  1127  1127 I boot_progress_pms_start: 36213

01-01 08:00:44.053  1127  1127 I boot_progress_pms_system_scan_start: 37200

01-01 08:00:47.017  1127  1127 I boot_progress_pms_data_scan_start: 40164

01-01 08:00:47.041  1127  1127 I boot_progress_pms_scan_end: 40187

01-01 08:00:47.458  1127  1127 I boot_progress_pms_ready: 40604

12-24 01:18:10.114  1127  1127 I boot_progress_ams_ready: 43150

12-24 01:18:13.388  1127  1225 I ActivityManager: Start proc 2633:com.android.launcher3/u0a85 for service

{com.android.launcher3/com.android.quickstep.TouchInteractionService}

12-24 01:18:13.935  1127  1207 I boot_progress_enable_screen: 46971

12-24 01:18:18.401  1127  1204 I ActivityTaskManager: Displayed com.thundercomm.tcsetupwizard/.TcSetupStartActivity: +2s23ms

针对无法识别usb端口与只显示白屏，需要分别进行分析

USB部分，需要确认下是否ready

12-24 01:18:09.233  1127  1212 E UsbDeviceManager: failed to write to /sys/class/android_usb/android0/f_rndis/ethaddr

12-24 01:18:09.235  1127  1212 I UsbDeviceManager: USB GADGET HAL not present in the device

12-24 01:18:09.235  1127  1212 I UsbDeviceManager: java.util.NoSuchElementException

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at android.os.HwBinder.getService(Native Method)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at android.hardware.usb.gadget.V1_0.IUsbGadget.getService(IUsbGadget.java:57)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at android.hardware.usb.gadget.V1_0.IUsbGadget.getService(IUsbGadget.java:64)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at com.android.server.usb.UsbDeviceManager.<init>(UsbDeviceManager.java:293)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at com.android.server.usb.UsbService.<init>(UsbService.java:178)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at com.android.server.usb.UsbService$Lifecycle.lambda$onStart$0$UsbService$Lifecycle(UsbService.java:92)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at com.android.server.usb.UsbService$Lifecycle$$ExternalSyntheticLambda1.run(Unknown Source:2)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at

com.android.server.SystemServerInitThreadPool.lambda$submitTask$0$SystemServerInitThreadPool(SystemServerInitThreadPool.java:105)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at com.android.server.SystemServerInitThreadPool$$ExternalSyntheticLambda0.run(Unknown Source:6)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:462)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at java.util.concurrent.FutureTask.run(FutureTask.java:266)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1167)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)

12-24 01:18:09.235  1127  1212 I UsbDeviceManager:     at com.android.internal.util.ConcurrentUtils$1$1.run(ConcurrentUtils.java:65)

12-24 01:18:09.235  1127  1212 E UsbDeviceManager: Failed to open control for mtp

12-24 01:18:09.236  1127  1212 E UsbDeviceManager: Failed to open control for ptp

12-24 01:18:10.114  1127  1127 I boot_progress_ams_ready: 43150

12-24 01:18:13.118  1127  1204 D UsbDeviceManager: push notification:正在通过 USB 为此设备充电

12-24 01:18:13.935  1127  1207 I boot_progress_enable_screen: 46971

01-01 08:00:57.197     0     0 I android_work: sent uevent USB_STATE=DISCONNECTED

01-01 08:00:57.822     0     0 I android_work: sent uevent USB_STATE=CONNECTED

01-01 08:00:57.843     0     0 I android_work: sent uevent USB_STATE=DISCONNECTED

01-01 08:00:57.931     0     0 I android_work: sent uevent USB_STATE=CONNECTED

01-01 08:00:57.981     0     0 I android_work: sent uevent USB_STATE=CONFIGURED

display部分同样需要做check。

#3 - 2022-12-27 17:29 - CD BSP-杜磊

display kernel log未发现明显异常，能否调出usb 或者wifi adb，通过虚拟投屏，排除上层android ui是否显示正常，还是display驱动异常问题

#4 - 2022-12-28 11:10 - CD SYSTEM-胡兵
- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to WONTFIX

- Root cause set to 根据最新的现场与tlog分析，应该是adb reboot edl后，设备出现问题，此偶现问题调查比较费时，且在工厂或用户端没有使用场景，申请

不解决(工厂使用夹具，强制进入9008模式)。

 1.问题复现后，串口日志还停留在上一次开机完成状态，且串口无法进行输入----证明此时没有进入bootloader

2.重新启动，查看nv，为第65次开机，查看tlog，仅有65次开机的日志---------证明问题发生时设备没有进入kernel

Hi 刘强

如沟通，根据最新的现场与tlog分析，应该是adb reboot edl后，设备出现问题，此偶现问题调查比较费时，且在工厂或用户端没有使用场景，申请不解决(

工厂使用夹具，强制进入9008模式)。

1.问题复现后，串口日志还停留在上一次开机完成状态，且串口无法进行输入----证明此时没有进入bootloader

2.重新启动，查看nv，为第65次开机，查看tlog，仅有65次开机的日志---------证明问题发生时设备没有进入kernel

Thanks

#5 - 2023-01-07 13:52 - 移动测试一组_CDTS 刘强

- File tlog.zip added

- File FSEM_053_0001_50417.tar.gz added

- File teraterm.log added

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD SYSTEM-胡兵

今天重新复现了一次，是异常断电后重新上电，没有adb reboot edl，可能需要重新调查

#6 - 2023-01-07 15:17 - 移动测试一组_CDTS 刘强

- File 屏幕亮，不开机.log added

#7 - 2023-01-11 16:56 - CD SYSTEM-胡兵

- Assignee changed from CD SYSTEM-胡兵 to CD BSP-陈杰

Hi ALL

该问题复现后，量测供电异常，SOC没有正常供电，MCU程序可能跑飞，已与陈杰现场沟通，针对此问题，MCU增加看门狗机制再进行复测。

Thanks.

#8 - 2023-01-12 15:20 - CD BSP-陈杰

- Due date set to 2023-01-20

#9 - 2023-01-13 10:02 - CD BSP-陈杰

- Assignee changed from CD BSP-陈杰 to 移动测试一组_CDTS 刘强

麻烦使用如下版本测试：

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230112/202301121128-2191
测试的时候，出现了这种情况后，等待30多秒，看看设备能不能恢复正常

#10 - 2023-01-13 16:27 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD BSP-陈杰

验证50次，未复现当前情况

#11 - 2023-01-13 17:22 - CD BSP-陈杰

- Assignee changed from CD BSP-陈杰 to 移动测试一组_CDTS 刘强

- Verified Version set to https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/176010

麻烦使用1月13日后的DB版本进行跟踪此问题。

由于没有复现，麻烦使用1月13日后的DB版本进行跟踪此问题。

#12 - 2023-01-13 17:30 - CD BSP-陈杰

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 90

#13 - 2023-01-13 17:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

176010 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: Added the function of watchdogDue to abnormal power failure, the MCU will run and fly,resulting in the MCU running in an uncertain state,and the

watchdog function is currently added.Bin version: V0.0.9TC-RID: 1201-0102704IssueID: TS-R-BUG-114865Change-Id:

I11783b13eab7005f092d2fbfb17d7f019cfbf81c

#14 - 2023-02-24 17:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

183882 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com
BSP: Remove watchdog functionBecause the watchdog logic in the current mcu cannot be used inour current application scenario, we need to turn off the

watchdogfirst, and then turn on the function after adding the evasionmechanism later. Keep the watchdog code in the code temporarily.Bin version:

V0.1.0TC-RID: 1201-0102704IssueID: TS-R-BUG-114865Change-Id: I1f47d464f82dbe9eb8292e7f4febd7817e6350c6

#15 - 2023-02-27 18:11 - SZTS_TEST 邹涛

FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0077.X101

验证80次未复现

#16 - 2023-02-28 10:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184724 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com

BSP: Remove watchdog functionBecause the watchdog logic in the current mcu cannot be used inour current application scenario, we need to turn off the

watchdogfirst, and then turn on the function after adding the evasionmechanism later. Keep the watchdog code in the code temporarily.Bin version:

V0.1.0TC-RID: 1201-0102704IssueID: TS-R-BUG-114865Change-Id: If2894b6b5967a330868082f48008ff987122cdaf

#17 - 2023-03-07 11:19 - 移动测试一组_CDTS 刘强

使用新的VB工厂版本和user来回压测验证：目前217次未复现

#18 - 2023-03-20 10:48 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

此问题与https://share.thundersoft.com/redmine/issues/115077 相同根因，暂时关闭，由115077跟踪

#19 - 2023-03-20 10:48 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

bugreports.zip 4.49 MB 2022-12-27 移动测试一组_CDTS 刘强

tlog_xxx_1224012233.tar.gz 2.55 MB 2022-12-27 移动测试一组_CDTS 刘强

teraterm.log 1.18 MB 2022-12-27 移动测试一组_CDTS 刘强

20221227-155340.jpg 197 KB 2022-12-27 移动测试一组_CDTS 刘强

tlog.zip 625 KB 2023-01-07 移动测试一组_CDTS 刘强

FSEM_053_0001_50417.tar.gz 1.48 MB 2023-01-07 移动测试一组_CDTS 刘强

teraterm.log 4.4 MB 2023-01-07 移动测试一组_CDTS 刘强
屏幕亮，不开机.log 369 KB 2023-01-07 移动测试一组_CDTS 刘强
